=== debian/watch ===
version=4
https://www.freedesktop.org/software/plymouth/releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
