## plymouth 24.004.60-1ubuntu7.1trisquel15

=== debian/changelog ===
plymouth (24.004.60-1ubuntu7.1trisquel15) ecne; urgency=medium

  * Plymouth themes modified for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 01 Jul 2025 04:00:26 +0000

plymouth (24.004.60-1ubuntu7.1) noble; urgency=medium

  * Add label-freetype-fix-fallback-not-working-when-fc-matc.patch to
    fix missing fonts resulting in missing text (LP: #2096806)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 25 Feb 2025 13:47:08 +0800
