## plymouth 24.004.60-1ubuntu7.1trisquel17

=== debian/changelog ===
plymouth (24.004.60-1ubuntu7.1trisquel17) ecne; urgency=medium

  * Plymouth themes modified for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 02 Nov 2025 05:46:56 +0000
