=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: plymouth
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -15,14 +15,14 @@
                libpng-dev,
                libudev-dev [linux-any],
                meson,
-               pkgconf,
-               systemd-dev,
+               pkg-config,
+               systemd,
                xsltproc
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.freedesktop.org/wiki/Software/Plymouth
-Vcs-Git: https://git.launchpad.net/ubuntu/+source/plymouth
-Vcs-Browser: https://git.launchpad.net/ubuntu/+source/plymouth
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/plymouth.git
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/plymouth
 
 Package: plymouth
 Architecture: linux-any
@@ -37,7 +37,7 @@
 Breaks: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
 Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
 Suggests: desktop-base, plymouth-themes
-Recommends: plymouth-theme-ubuntu-text | plymouth-theme
+Recommends: plymouth-theme-trisquel-text | plymouth-theme
 Description: boot animation, logger and I/O multiplexer
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
  use for which is to provide an attractive graphical animation in place of
@@ -95,7 +95,7 @@
 Package: plymouth-label
 Architecture: linux-any
 Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
-         fonts-ubuntu,
+         fonts-freefont-ttf,
          fontconfig-config,
 Breaks: plymouth-themes (<< 0.9.2-5~)
 Replaces: plymouth-themes (<< 0.9.2-5~)
@@ -135,7 +135,7 @@
          ${shlibs:Depends}
 Conflicts: plymouth-themes-all,
            plymouth-themes-fade-in,
-           plymouth-themes-glow,
+           plymouth-themes-sugar,
            plymouth-themes-script,
            plymouth-themes-solar,
            plymouth-themes-spinfinity,
@@ -143,7 +143,7 @@
 Replaces: plymouth-drm (<< 0.9.0-6~),
           plymouth-themes-all,
           plymouth-themes-fade-in,
-          plymouth-themes-glow,
+          plymouth-themes-sugar,
           plymouth-themes-script,
           plymouth-themes-solar,
           plymouth-themes-spinfinity,
@@ -151,7 +151,7 @@
 Provides: plymouth-theme,
           plymouth-themes-all,
           plymouth-themes-fade-in,
-          plymouth-themes-glow,
+          plymouth-themes-sugar,
           plymouth-themes-script,
           plymouth-themes-solar,
           plymouth-themes-spinfinity,
@@ -169,13 +169,13 @@
  .
   * fade-in: features a centered logo that fades in and out while stars twinkle
     around the logo during system boot up.
-  * glow: features a pie chart as progress indicator.
+  * sugar: features a pie chart as progress indicator.
   * script: features a simple base theme.
   * solar: features a blue flamed sun with animated solar flares.
   * spinfinity: features a centered logo and animated spinner that spins in the
     shape of an infinity sign.
 
-Package: plymouth-theme-ubuntu-text
+Package: plymouth-theme-trisquel-text
 Architecture: linux-any
 Depends:
  ${misc:Depends},
@@ -191,7 +191,7 @@
  boot systems Plymouth can also usefully handle user interaction such as
  password prompts for encrypted file systems.
  .
- This package contains the default ubuntu-text text theme used when no
+ This package contains the default trisquel-text text theme used when no
  support for a graphical theme is found on your system.
 
 Package: plymouth-theme-spinner
@@ -214,3 +214,39 @@
  password prompts for encrypted file systems.
  .
  This package contains the spinner theme.
+
+Package: plymouth-theme-trisquel-logo
+Architecture: linux-any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ plymouth (= ${binary:Version}),
+ plymouth-label (= ${binary:Version}),
+Provides: plymouth-theme,
+Description: boot animation, logger and I/O multiplexer - trisquel-logo theme
+ Plymouth provides a boot-time I/O multiplexing framework - the most obvious
+ use for which is to provide an attractive graphical animation in place of
+ the text messages that normally get shown during boot. (The messages are
+ instead redirected to a logfile for later viewing.) However, in event-driven
+ boot systems Plymouth can also usefully handle user interaction such as
+ password prompts for encrypted file systems.
+ .
+ This package contains the trisquel-logo theme.
+
+Package: plymouth-theme-sugar
+Architecture: linux-any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ plymouth (= ${binary:Version}),
+ plymouth-label (= ${binary:Version}),
+Provides: plymouth-theme,
+Description: boot animation, logger and I/O multiplexer - sugar theme
+ Plymouth provides a boot-time I/O multiplexing framework - the most obvious
+ use for which is to provide an attractive graphical animation in place of
+ the text messages that normally get shown during boot. (The messages are
+ instead redirected to a logfile for later viewing.) However, in event-driven
+ boot systems Plymouth can also usefully handle user interaction such as
+ password prompts for encrypted file systems.
+ .
+ This package contains the sugar theme.
