=== debian/rules ===
--- 
+++ 
@@ -24,14 +24,16 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dbackground-color=0x2c001e \
-		-Dbackground-start-color-stop=0x2c001e \
-		-Dbackground-end-color-stop=0x2c001e \
-		-Dlogo=/usr/share/plymouth/ubuntu-logo.png \
+		-Dbackground-color=0x000000 \
+		-Dbackground-start-color-stop=0x000000 \
+		-Dbackground-end-color-stop=0x000000 \
+		-Dlogo=/usr/share/plymouth/trisquel-logo.png \
 		-Drelease-file=/etc/os-release
 
 override_dh_install:
-	# remove non alternative-based theme tools
+	# remove non alternative-based theme policy files and tools
+	rm -f debian/tmp/etc/plymouth/plymouthd.conf
+	rm -f debian/tmp/usr/share/plymouth/plymouthd.defaults
 	rm -f debian/tmp/usr/sbin/plymouth-set-default-theme
 	rm -f debian/tmp/usr/share/man/man1/plymouth-set-default-theme.1
 
@@ -57,9 +59,9 @@
 
 	# Workaround a but in meson, it cannot create a symlink if the target doesn't exist
 	# https://github.com/mesonbuild/meson/issues/12253
-	install -D -m 0644 debian/local/ubuntu-logo.png debian/plymouth/usr/share/plymouth/ubuntu-logo.png
-	install -D -m 0644 debian/local/ubuntu-logo.png debian/plymouth/usr/share/plymouth/themes/spinner/watermark.png
-	install -D -m 0644 debian/local/ubuntu-logo.png debian/plymouth-themes/usr/share/plymouth/themes/spinfinity/header-image.png
+	install -D -m 0644 debian/local/trisquel-logo.png debian/plymouth/usr/share/plymouth/trisquel-logo.png
+	install -D -m 0644 debian/local/trisquel-logo.png debian/plymouth/usr/share/plymouth/themes/spinner/watermark.png
+	install -D -m 0644 debian/local/trisquel-logo.png debian/plymouth-themes/usr/share/plymouth/themes/spinfinity/header-image.png
 	dh_auto_install
 
 # Disable dh_installinitramfs as we are managing this ourself
